For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Join CommunityStart Trading
HomeOverviewDIME UtilityTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
HomeOverviewDIME UtilityTradingRisk & LiquidationsParadex ChainEcosystemREST APIWebSocket APIAgentic AI HubRelease Notes
  • General Information
    • Server Location
    • Server URLs
    • Quick Start
    • Authentication
    • Rate Limits
    • Benchmarks
    • API Authentication
    • API Best Practices
  • Production API Reference
        • GETGet account information
        • GETGet compliance actions
        • POSTRecord a compliance action
        • GETGet account history
        • GETReturn account info of current account
        • GETGet account margin configuration
        • POSTSet margin configuration
        • GETGet account profile information
        • PUTUpdates account profile
        • POSTUpdates account max slippage for a specific market
        • POSTUpdates account notification preferences
        • POSTUpdates the last-seen notification timestamp
        • POSTUpdates account profile fields
        • POSTRefresh inventory for authenticated account
        • POSTUpdates account size currency display preference
        • POSTUpdates account profile username fields
        • POSTUpdates account referred_by field
        • GETGet account settings
        • POSTUpdates account trading value display
        • GETList sub-accounts of current account
        • GETGet account summaries (main account + authorized accounts)
        • GETList balances
        • GETList fills
        • GETFunding payments history
        • GETList open positions
        • GETList tradebusts
        • GETList transactions
  • Testnet API Reference
  • Useful Resources
    • Paradex Github
    • Paradex CLI
    • Code Samples
    • Python SDK
    • CCXT Integration
Join CommunityStart Trading
Production API ReferenceAccount

Get account information

GET
https://api.prod.paradex.trade/v1/account
GET
/v1/account
$curl -X GET https://api.prod.paradex.trade/v1/account \
>-H 'Accept: application/json' \
>-H 'Authorization: Bearer {JWT}'
1{
2 "account": "0x495d2eb5236a12b8b4ad7d3849ce6a203ce21c43f473c248dfd5ce70d9454fa",
3 "account_value": "136285.06918911",
4 "free_collateral": "73276.47229774",
5 "initial_margin_requirement": "63008.59689218",
6 "last_seen_notification": 1713400000000,
7 "maintenance_margin_requirement": "31597.25239676",
8 "margin_cushion": "104687.8167956",
9 "seq_no": 1681471234972000000,
10 "settlement_asset": "USDC",
11 "status": "ACTIVE",
12 "total_collateral": "123003.62047353",
13 "updated_at": 1681471234972
14}
Respond with requester's account information
Was this page helpful?
Previous

Get compliance actions

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Query parameters

subaccount_addressstringOptional
Subaccount address

Response

OK
accountstring
User's starknet account
account_valuestring

Current account value [with unrealized P&Ls]

free_collateralstring

Free collateral available (Account value in excess of Initial Margin required)

initial_margin_requirementstring
Amount required to open trade for the existing positions
last_seen_notificationinteger

Latest notification event timestamp (ms) the user has seen — used for cross-device dedup

maintenance_margin_requirementstring
Amount required to maintain exisiting positions
margin_cushionstring
Acc value in excess of maintenance margin required
seq_nointeger

Unique increasing number (non-sequential) that is assigned to this account update. Can be used to deduplicate multiple feeds

settlement_assetstring
Settlement asset for the account
statusstring

Status of the acc - like ACTIVE, LIQUIDATION

total_collateralstring
User's total collateral
updated_atinteger
Account last updated time

Errors

400
Bad Request Error
401
Unauthorized Error